MSP Batch OpenAPI
1 operation. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| mspBatchController | POST | Batch Processing MSP OpenAPIs |
mspBatchController
POST /openapi/v1/msp/{mspId}/batch
Batch Processing MSP OpenAPIs
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema Batch request entity
| Field | Type | Required | Description |
|---|---|---|---|
interrupt | boolean | no | Indicates whether to interrupt execution when encountering an error while executing openAPI, defaults to true |
actions | array<Request action entity> | no | List of OpenAPIs that require batch execution. Up to 20 entries are allowed for the action list |
// omada_call_operation
{
"operationId": "mspBatchController",
"body": "{...}"
}Details, permissions and error codes
Batch processing of multiple OpenAPIs under the same MSP controller through this OpenAPI.
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-1600 - Unsupported request path.
-1619 - Execution has been interrupted due to unsuccessful execution of the pre action request.
-1620 - Error occurred while executing action.
-44112 - The access token has expired. Please re-initiate the refreshToken process to obtain the access token.
-44113 - The Access Token is Invalid.
-7132 - Our server is receiving too many requests now. Please try again later.